Difference between revisions of "Draft BSpline/cs"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/cs|Name=Draft BSpline|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Draft -> BSpline|Shortcut=B S|SeeAlso=[[Draft Wire|Drát]]}}
+
{{GuiCommand|Name=Draft BSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> BSpline|Shortcut=B S|SeeAlso=[[Draft Wire|Draft Wire]]}}
  
 
==Popis==
 
==Popis==
Line 36: Line 36:
 
Nástroj B-křivka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
 
Nástroj B-křivka může být využit v [[macros|makrech]] a z konzoly Pythonu použitím následující funkce:
  
<syntaxhighlight>
+
{{Code|code=
makeBSpline (pointslist,[closed],[placement])
+
makeBSpline (pointslist,[closed],[placement])
</syntaxhighlight>
+
}}
 
* Vytváří objekt B-křivka podle daného seznamu vektorů (pointslist).  
 
* Vytváří objekt B-křivka podle daného seznamu vektorů (pointslist).  
 
* Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.  
 
* Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.  
Line 47: Line 47:
 
Příklad:
 
Příklad:
  
<syntaxhighlight>
+
{{Code|code=
import FreeCAD,Draft
+
import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
+
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
+
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
+
p3 = FreeCAD.Vector(2,0,0)
Draft.makeBSpline([p1,p2,p3],closed=True)
+
Draft.makeBSpline([p1,p2,p3],closed=True)
  
</syntaxhighlight>
+
}}
 
{{clear}}
 
{{clear}}
 
<languages/>
 
<languages/>

Revision as of 21:29, 1 January 2015

Draft BSpline.svg Draft BSpline

Menu location
Draft -> BSpline
Workbenches
Draft, Arch
Default shortcut
B S
Introduced in version
-
See also
Draft Wire


Popis

Nástroj B-křivka vytváří B-křivku z několika bodů v aktuální pracovní rovině. Přebírá tloušťku čáry a barvu předtím nastavenou v záložce nástrojů. Nástroj B-křivka se chová přesně stejně jako nástroj Drát.

Draft bspline example.jpg

Použití

  1. Stiskněte tlačítko Draft BSpline.png B-křivka nebo klávesy B potom S
  2. Klikněte na první bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Klikněte na další bod ve 3D pohledu nebo zadejte jeho souřadnice
  4. Stiskněte klávesu F nebo C nebo dvojklikněte na poslední bod pro ukončení nebo uzavření křivky. Je-li křivka uzavřena, bude zároveň i povrchem i když se jeví jako drátový model.

Volby

  • Stiskněte klávesu F nebo tlačítko Draft FinishLine.png Ukončení pro ukončení křivky bez jejího uzavření
  • Stiskněte klávesu C nebo tlačítko Draft CloseLine.png Uzavření nebo klikněte na počáteční bod. Tím ukončíte zadávání, ale zároveň se doplní poslední segment křivky, který poslední bod spojí s počátečním bodem.
  • Stisknutím klávesy X, Y nebo Z po zadání bodu zajistíte, že následující bod bude ležet na dané ose.
  • Pro ruční zadávání souřadnic jednoduše zadávejte čísla a mezi každou komponentou X, Y a Z stiskněte ENTER.
  • Stiskněte klávesu R nebo klikněte/odklikněte zaklikávací políčko Relativní. Je-li nastaven relativní mód jsou souřadnice následujícího bodu relativní k předchozímu bodu. Je-li mód absolutní souřadnice jsou vztaženy k počátečnímu bodu (0,0,0).
  • Stiskněte klávesu T nebo klikněte/odklikněte zaklikávací políčko Pokračovat. Je-li nastaven pokračovací mód, nástroj B-křivka bude po ukončení křivky restartován a připraven ke kreslení další křivky bez nutnosti znovu jej spouštět klikáním na tlačítko B-křivka.
  • Stiskněte při kreslení klávesu CTRL pro přichycení Vašeho bodu k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Stiskněte při kreslení klávesu SHIFT pro nastavení vazby Vašeho dalšího bodu vodorovně nebo svisle v relaci k předchozímu bodu.
  • Stiskněte klávesu W nebo stiskněte tlačítko Draft Wipe.png Smaž pro odstranění existujících segmentů a začněte křivku z posledního bodu.
  • Stiskněte klávesy CTRL+Z nebo tlačítko Draft UndoLine.png Undo k návratu na poslední bod.
  • Stiskněte klávesu I nebo tlačítko Filled aby se křivka po jejím uzavření zobrazovala jako plocha. To jednoduše nastavuje Pohled->Vlastnost Drát na "Otevřené čáry" nebo "Drátový model", toto také může být snadno změněno později.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu B-křivka.
  • B-křivky mohou v zobrazovacím módu "Jednoduché čáry" zobrazovat šrafovací vzory nastavením vlastnosti "Vzor" dole.

Vlastnosti

  • DataUzavřená: Specifikuje zda je křivka uzavřená nebo ne
  • ViewKoncová šipka: Ukazuje sumbol šipky na koncovém bodě křivky, takže ten může být použit jako linka pro vysvělivku
  • ViewVzor: Specifikuje šrafovací vzor pro vyplnění drátu
  • ViewRozměr vzoru: Specifikuje rozměr šrafovacího vzoru

Skriptování

Nástroj B-křivka může být využit v makrech a z konzoly Pythonu použitím následující funkce:

makeBSpline (pointslist,[closed],[placement])
  • Vytváří objekt B-křivka podle daného seznamu vektorů (pointslist).
  • Je-li closed True nebo jsou-li první a poslední bod identické, drát je uzavřen.
  • Je-li face (plocha) True (a křivka je uzavřena), bude se křivka jevit jako vyplněná plocha.
  • Místo seznamu bodů můžete vložit Drát (Part Wire) (lomená čára).
  • Vrací nově vytvořený objekt.

Příklad:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeBSpline([p1,p2,p3],closed=True)
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский